Subject: Re: git-p4 fails when cloning a p4 depo.

From: Simon Hausmann <[email-masked]>
Date: Sat, 9 Jun 2007 00:38:27 +0200

On Friday 08 June 2007 20:13:55 Benjamin Sergeant wrote:
> A perforce command with all the files in the repo is generated to get
> all the file content.
> Here is a patch to break it into multiple successive perforce command
> who uses 4K of parameter max, and collect the output for later.
>
> It works, but not for big depos, because the whole perforce depo
> content is stored in memory in P4Sync.run(), and it looks like mine is
> bigger than 2 Gigs, so I had to kill the process.

I'd be generally fine with splitting up the "p4 print ..." calls into chunks 
but you have a good point with the memory usage. The old approach of calling 
print per file did not have any of those limitations. Han-Wen, what do you 
think? How much of a performance improvement is the batched print?

(I didn't notice any immediate difference, but then I have a very fast 
connection to the perforce server and usually small changesets)

Simon